/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: W2JRLR2011TestImpl.java 62602 2011-04-21 14:51:41Z kgrucci $
 */
package com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2011;

import com.sun.ts.lib.util.*;
import javax.jws.WebService;

@WebService(
    portName="W2JRLR2011TestPort",
    serviceName="W2JRLR2011TestService",
    targetNamespace="http://w2jrlr2011testservice.org/W2JRLR2011TestService.wsdl",
    wsdlLocation="WEB-INF/wsdl/W2JRLR2011TestService.wsdl",
    endpointInterface="com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2011.W2JRLR2011Test"
)

public class W2JRLR2011TestImpl implements W2JRLR2011Test {
    public com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2011.ImportDirectlyStringResponse echoImportDirectlyStringTest(com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2011.ImportDirectlyStringRequest params)  {
     TestUtil.logMsg("value="+params.getStringValue());
     ImportDirectlyStringResponse r = new ImportDirectlyStringResponse();
     r.setStringValue(params.getStringValue());
     return r;
 }
    public com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2011.ImportIndirectlyStringResponse echoImportIndirectlyStringTest(com.sun.ts.tests.jaxws.wsi.w2j.rpc.literal.R2011.ImportIndirectlyStringRequest params)  {
     TestUtil.logMsg("value="+params.getStringValue());
     ImportIndirectlyStringResponse r = new ImportIndirectlyStringResponse();
     r.setStringValue(params.getStringValue());
     return r;

 }
}
